Skip to main content

Order POST

The Orders POST lets Agent Inbox know that the customer has purchased an order, generates a win messages and fills in the right sales numbers. You can also update the order information, but therefor use the same order_number of the first POST

POST https://api.robinhq.com/dynamic/orders/

Response codes​

CodeDescription
201Created
400Bad Request
401Invalid authorisation data
Request body
{
"orders": [
{
"order_number": "CMO1243",
"email_address": "[email protected]",
"phone_number": "+31612345678",
"revenue": 113.34,
"old_revenue": 112.34,
"profit": 13.34,
"old_profit": 12.34,
"order_date": "2021-04-05T12:34:56Z",
"is_first_order": true,
"webstore_url": "https://www.yourwebstore.com/"
}
]
}

Request schema​

NameTypeRequiredDescription
order_numberStringYesOrdernumber of the order, special field, needed to recognize an order number in a question asked by a customer
email_addressStringYes*Email address of the customer
phone_numberStringYes*Phonenumber of the customer
revenueFloatYesTotal amount of money that the order resembles
old_revenueFloatNoWhen updating the order, the previous "revenue" is placed here
profitFloatNoThe total profit that is made with this order
old_profitFloatNoWhen updating the order, the previous "profit" is placed here
order_dateStringYesDate that the order has been placed
is_first_orderBooleanYesWhen true the order counts as acquisition, when false the order counts as retention
webstore_urlStringNoThe URL of the webstore where the order is placed

* Either email_address or phone_number is required